


PS2PK(1)                                                 PS2PK(1)


NAME
       ps2pk - creates a TeX pkfont from a type1 PostScript font

SYNOPSIS
       pk2pk [ options] type1 [pkfont]

       options: -v -eenc -Xxres -Eexpansion -Sslant

       options: -Ppointsize -Yyres -aAFMfile

DESCRIPTION
       This  program  renders  a given type1 PostScript font at a
       given  pointsize  (default  10.0  points)  and  resolution
       (default 300dpi) into a TeX pkfont.

       To  generate the pkfont pk2ps needs a valid type1 fontname
       (for example Utopia-Regular, Utopia-Regula.pfb or  Utopia-
       Regula.pfa)   and   its  corresponding  AFM-file  (Utopia-
       Regular.afm).  The program accepts both the  MSDOS  binary
       type1  format (Utopia-Regula.pfb) and its ASCII equivalent
       (Utopia-Regular  or  Utopia-Regula.pfa).   To  locate  the
       type1 font and its AFM-file ps2pk will use the environment
       T1INPUTS if it is set otherwise its built in default  (the
       -v flag will report which filenames are looked for).

       The  program  will  make  a  pkfont in which the character
       codes are derived from  their  AFM  (Adobe  Font  Metrics)
       defined  values.   This  can be overruled by specifying an
       explicit encoding file via the -e option.  This file  will
       be located via the environment variable TEXCONFIG if it is
       set otherwise via its built in default.  The encoding file
       enc  should contain a valid PostScript encoding containing
       PostScript names like  /hyphen.   Here  is  an  incomplete
       example (see afm2tfm for complete syntax):

              % This is the EC encoding.
              /ECEncoding [          % now 256 chars follow
              % 0x00
                /grave /acute /circumflex /tilde /dieresis /hungarumlaut
                /ring /caron /breve /macron /dotaccent /cedilla
                /ogonek /quotesinglbase /guilsinglleft /guilsinglright

                (Rest of lines omitted.)

              % 0xF0
                /eth /ntilde /ograve /oacute /ocircumflex /otilde
                /odieresis /oe /oslash /ugrave /uacute /ucircumflex
                /udieresis /yacute /thorn /germandbls ] def

       Options and arguments:

       -aAFMfile   Overrules  the name that is used to locate the
                   AFM file.

       -eenc       The encoding scheme (default the encoding from
                   the AFM-file).

       -Eextension The  extension  factor  (real  value,  default
                   1.0).

       -Ppointsize The desired  pointsize  (real  value,  default
                   10.0 points).

       -Sslant     The slant (real value, default 0.0).

       -Xxres      The  resolution  in  the  X direction (integer
                   value, default 300 dpi).

       -Yyres      The resolution in  the  Y  direction  (integer
                   value, default the value of xres).

       -v          Verbose  flag.  (Tells  what  the  program  is
                   doing.)

       type1       The name of the PostScript  type1  font.   The
                   name  of the AFM-file will be constructed from
                   this  name  by  removing  the  extension   (if
                   suplied) and adding ".afm".

       [pkfont]    The  name of the resulting pkfont can be over-
                   ruled with this name.   The  default  name  of
                   pkfont  is  derived  from  the basename of the
                   type1 font, the pointsize and xres.  For exam-
                   ple `ps2pk -P17.28 Utopia-Regular' will result
                   in `Utopia-Regular17.300pk'.

ACKNOWLEDGEMENT
       This program uses the type1 hinting and rendering software
       IBM has donated to the X-consortium.

SEE ALSO
       `METAFONT: The Program', Donald Knuth.
       `The GFtoPK processor', belonging to the METAFONTware.
       `Adobe Font Metric Files', Version 3.0, PostScript Developer
       Support Group.
       afm2tfm(1)
       pk2bm(1)

VERSION
       1.1 (May 1992)


AUTHOR
       Piet Tutelaers
       rcpt@urc.tue.nl

                               TeX                              1


